Subject: bug#14977: texinfo build fails due to missing "@item", after du/inode change

From: Assaf Gordon <[email-masked]>
Date: Sun, 28 Jul 2013 15:07:31 -0600

Hello,

Trying to compile the latest revision (v8.21-102-g9e52eba), I get the following error:
===
$ make
<< snip >>
test -f doc/.dirstamp || make  doc/.dirstamp
make[3]: Entering directory `/home/gordon/temp/coreutils'
make[3]: Leaving directory `/home/gordon/temp/coreutils'
Updating ./doc/version.texi
   GEN      doc/constants.texi
   MAKEINFO doc/coreutils.info
./doc/coreutils.texi:11427: @itemx must follow @item
make[2]: *** [doc/coreutils.info] Error 1
make[2]: Leaving directory `/home/gordon/temp/coreutils'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/gordon/temp/coreutils'
===

I assume it's related to the recent du/inode commit (333dc83d52e014a0b532e316ea8cd93b048f1ac6),
The "--inode" option in the docs has only "@itemx":
===
$ sed -n 11425,11430p ./doc/coreutils.texi
@optHumanReadable

@itemx --inodes
@opindex --inodes
@cindex inode usage, dereferencing in @command{du}
List inode usage information instead of block usage.
===

I'm using makeinfo version 5.1 from stock debian package.

Simply renaming the "@itemx" to "@item" works around this issue.

-gordon

diff --git a/doc/coreutils.texi b/doc/coreutils.texi
index 40bff7a..fb36866 100644
--- a/doc/coreutils.texi
+++ b/doc/coreutils.texi
@@ -11424,7 +11424,7 @@ Equivalent to @option{--dereference-args} (@option{-D}).
  
  @optHumanReadable
  
-@itemx --inodes
+@item --inodes
  @opindex --inodes
  @cindex inode usage, dereferencing in @command{du}
  List inode usage information instead of block usage.